- Fakturan.nu API 2 /
- Estimates /
- update
Params
-
number
Estimate number. Defaults to +1 of highest number currently in account.
-
date
Date string in the format “yyyy-mm-dd”
-
valid_to
Date string in the format “yyyy-mm-dd”. Defaults to “date” plus the estimate validity set in the account settings.
-
client_id
Id of existing client. “client_id” OR “client” is required.
-
our_reference
Name of person who acts as reference at senders company
-
your_reference
Name of person who acts as reference at recievers company
-
locale
One of: “sv”, “en”, “da”, “nb”
- currency
- settings Must be a Hash
-
settings[invoice_template]
One of: “urban”, “clean”, “iconic”, “foxy”, “static”, “original”, “croatia”
-
settings[show_product_code]
Boolean. Should the estimate show the product code column?
- rows Must be an Array of nested elements
- rows[id]
- rows[product_id]
-
rows[discount]
Discount in %
-
rows[amount]
How many units of this item? May be fractional (“1.5”).
-
rows[text]
Max length 255
-
rows[product_code]
Max length 30
-
rows[product_name]
Max length 255
-
rows[product_unit]
Max length 30
-
rows[product_price]
Price of this item. May be fractional (“9.95”).
-
rows[product_tax]
One of 25, 12, 6, 0
-
rows[text_row]
Boolean. Show this row as purely text?
- rows[sort_order]
Examples
# Update an existing estimate. Sent estimates can't be updated.
PUT /api/v2/estimates/9
{
"valid_to": "2026-10-09",
"rows": [
{
"id": 11,
"product_name": "Updated name"
}
]
}
204